
function BuffInfo_GetExtraBuffInfo(abilityID)
	return BuffInfo_Table[abilityID]
end


function BuffInfo_DisableHook()
	Inspect.Buff.Detail = oldBuffDetail
end

oldBuffDetail = Inspect.Buff.Detail

Inspect.Buff.Detail = function(unit,buff)
	local buffData = oldBuffDetail(unit,buff)
	if type(buff) == "table" then
		for bk,bv in pairs(buffData) do
			local abilityID = bv["ability"]
			local extraBuffData = BuffInfo_GetExtraBuffInfo(abilityID)
			if extraBuffData ~= nil then
				for k,v in pairs(extraBuffData) do
					buffData[bk][k] = v
				end
			end
		end
	else
		local abilityID = buffData["ability"]
		local extraBuffData = BuffInfo_GetExtraBuffInfo(abilityID)
		if extraBuffData ~= nil then
			for k,v in pairs(extraBuffData) do
				buffData[k] = v
			end
		end
	end
	return buffData
end


table.insert(Command.Slash.Register("disablebuffhook"), {function (params)
  BuffInfo_DisableHook()
end, "BuffInfo", "Slash command"})